Manjariando
Manjariando
Compartilhando a simplicidade do Manjaro.
Jun 1, 2018 Jun 1, 2018 1 min de leitura

Corrigir erro de GPG na atualização.

thumbnail for this post

Artigo desatualizado

Como mencionado na postagem de ontem, hoje irei mostrar como resolver o erro de PGP ao tentar atualizar o sistema. Se você conhece um método mais simples, nos envie um e-mail através do contato do blog. Recentemente ao instalar o Manjaro 32 bits eu me deparei com o erro error:key 'xxxxxxx' could not be looked up remotely, e para que eu conseguisse continuar a instalação, utilizei os seguintes comandos.

Abra o terminal e utilize os comandos na sequência abaixo.

32 e 64 bits #
sudo rm -R /etc/pacman.d/gnupg
sudo rm -R /root/.gnupg
sudo gpg --refresh-keys
sudo pacman-key --init
64 bits #
sudo pacman-key --populate archlinux
32 bits #
sudo pacman-key --populate archlinux32
32 e 64 bits #
sudo pacman-key --populate manjaro
32 e 64 bits (se você utiliza nosso repositório) #

32 e 64 bits #
sudo pacman-key --refresh-keys

Agora utilize o comando abaixo para atualizar.

sudo pacman-mirrors -f 5 && sudo pacman -Syyu

Pronto, agora seu sistema está atualizado.

Créditos. #

Fonte

Imagem Original


Acompanhe o blog

comments powered by Disqus